using System;

internal sealed class Delegate171 : MulticastDelegate
{
	public extern bool Invoke(string string_0);

	public static bool smethod_0(string string_0, Delegate171 delegate171_1)
	{
		return delegate171_1(string_0);
	}

	public extern Delegate171(object object_0, IntPtr intptr_0);

	static Delegate171()
	{
		Class10.smethod_13(typeof(Delegate171).TypeHandle);
	}

	internal static Delegate171 delegate171_0;
}
